bc (1.07.1-1) unstable; urgency=medium

  * New upstream version 1.07.1
    + No longer crashes due to null pointer dereferencing in execute.c
      (Closes: #805372, #771382)
    + No longer prints an error message when interrupted (Closes: #442099)
  * Refreshed patches:
    + Drop 03_array_initialize.diff; applied upstream
  * Bump compat to 11 and debhelper version to >= 11
  * Bump standards version to 4.1.3
  * Make sure all licenses in copyright file have a unique name
  * Make Vcs-* URLs secure
  * Enable all hardening flags (Closes: #812703)
  * Simplify clean target
  * Added missing build-dependency on ed

 -- Ryan Kavanagh <rak@debian.org>  Wed, 03 Jan 2018 19:39:29 -0500

bc (1.06.95-9) unstable; urgency=medium

  * Remove ancient unnecessary install-info dependencies.
  * Fix some formatting issues with bc man page, 07_bc_man.diff
    (Closes: #725898). Thanks to Bjarni Ingi Gislason for the patch.
  * Bump standards version to 3.9.5

 -- Ryan Kavanagh <rak@debian.org>  Sat, 14 Jun 2014 12:05:35 +0200

bc (1.06.95-8) unstable; urgency=low

  * Use makeinfo instead of obsoleted texi2html
  * Reintroduce patch reading ~/.dcrc file at dc start, 06_read_dcrc.diff
    (Closes: #582137) (LP: #918836)
  * Drop old-style 'Home page:' entries in long description
  * Added a gbp.conf to use pristine-tar and to sign tags

 -- Ryan Kavanagh <rak@debian.org>  Sun, 02 Jun 2013 20:43:53 -0400

bc (1.06.95-7) unstable; urgency=low

  * New maintainer (Closes: #705771)
  * Switch to Debian source format 3.0 (quilt)
  * Updated copyright file with missing licenses and holders. Now in DEP-5
    format.
  * Bump standards version to 3.9.4
  * Bump debhelper Build-Dependency to >= 9 and switch from old-style rules
    with manual calls to dh_* to modern style dh rules
  * Bump compat level to 9
  * Drop libreadline5-dev from Build-Depends, it no longer exists in unstable
  * Add a doc-base file for bc
  * Fix a typo in bc, 01_typo_in_bc.diff
  * Fix hyphens used as minus signs in manpages,
    02_hyphens_as_minus_in_man.diff
  * Fix array initialization bug, 03_array_initialize.diff (Closes: #671513,
    #586969)
  * Revert all inline patches and introduce them as logical quilt patches
    + Set the info dircategory to Math, 04_info_dircategory.diff
    + Notice read/write errors on input and output,
      05_notice_read_write_errors.diff
  * clean target now conforms to Debian Policy §4.9, "must undo any effects
    that the build target may have had [...]"
  * Added Vcs-Git/Vcs-Browser entries to debian/control
  * Reintroduce the missing 1.06.94-3.1 changelog entry
  * Get rid of postinst/postrm files, they were unneeded

 -- Ryan Kavanagh <rak@debian.org>  Fri, 24 May 2013 07:26:52 -0400

bc (1.06.95-6) unstable; urgency=low

  * QA upload.
  * Make bc Multi-Arch: foreign, so that it can satisfy (build-)dependencies
    from other architectures (thanks, Sune Vuorela and Wookey; closes:
    #681784, LP: #1098408).
  * Add build-arch and build-indep targets.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Apr 2013 17:15:31 +0100

bc (1.06.95-5) unstable; urgency=low

  * Orphaned

 -- John G. Hasler <jhasler@debian.org>  Fri, 19 Apr 2013 14:14:48 -0500

bc (1.06.95-4) unstable; urgency=low

  * Added #!/bin/sh to scripts.
    Closes: #683571: postinst and postrm are not valid scripts

 -- John G. Hasler <jhasler@debian.org>  Wed, 01 Aug 2012 17:42:42 -0500

bc (1.06.95-3) unstable; urgency=low

  * Applied patch from Pádraig Brady.
    Closes: #608255: bc uses uninitialized memory

  * Applied patch from Paul Dwerryhouse.
    Closes: #472250: please return support for .dcrc file
  
  * Applied patch from Ian Jackson.
    Closes: #488735: notice read and write errors on input and output
  
  * Generated bc.html and dc.html but something is still wrong.
  
  * Added homepage field to debian/control.
  
  * I can't see the problem with hyphens.
  
  * Fixed doc-base white space.
  
  * Added watch file.
  
  * I believe that the above changes deal with 558188.
    Closes: #558188: Changes made in 1.06.94-3.1 NMU have been lost
  
 -- John G. Hasler <jhasler@debian.org>  Fri, 22 Jun 2012 21:00:45 -0500

bc (1.06.95-2) unstable; urgency=low

  * Fixed errors in debian/rules that prevented info files from
    being correctly generated.

 -- John G. Hasler <jhasler@debian.org>  Thu, 15 Oct 2009 12:17:23 -0500
  
bc (1.06.95-1) unstable; urgency=low

  * New upstream release
    Closes: #538419: New bc upstream version 1.06.95
  
    Fixed libreadline build dependencies.
  
 -- John Hasler <jhasler@debian.org>  Sat, 03 Oct 2009 21:21:04 -0500

bc (1.06.94-3.1) unstable; urgency=low

  * Non-maintainer upload with John's permission.
  * Apply patch to restore the .dcrc config file (closes: #472250)
  * Merge patch from Ubuntu to notice read and write errors on
    input and output (closes: #488735)
  * Include the bc manual (HTML) in the bc binary package

  * Bump Standards Version to 3.8.1
  * Bump debhelper compatibility to 7
  * debian/rules: replace "dh_clean -k" with "dh_prep"
  * debian/control: Add homepage field
  * Fix hyphens in the bc and dc manpages
  * Add a watch file
  * debian/dc.doc-base: Remove leading whitespace
  * debian/dc.doc-base: Move to section Science/Mathematics

 -- Francois Marier <francois@debian.org>  Thu, 16 Apr 2009 10:23:39 +1200

bc (1.06.94-3) unstable; urgency=low

  * Added "-pbc" to dh_installdirs line for bc in debian/rules.
    Fixes build failure with "-j3".

 -- John Hasler <jhasler@debian.org>  Sun, 02 Dec 2007 14:46:56 -0600

bc (1.06.94-2) unstable; urgency=low

  * Uncommented dh_md5sums in debian/rules.
  
  * Corrected menu entries.

 -- John Hasler <jhasler@debian.org>  Fri, 05 Oct 2007 12:29:18 -0500

bc (1.06.94-1) unstable; urgency=low

  * New upstream release
  
    Code cleanup upstream has fixed these
    Closes: #357728: bc: Segfaults 
    Closes: #221781: dc: precision >= 1000000000 does not work 
    Closes: #429156: dc: segfaults when generating primes 
    Closes: #296232: dc directory' should print an error
    Closes: #301921: 'man bc' typos: "environent", "specifing"
  
  * Patched use_quit() in main.c to run rl_initialize().
    Closes: #287210: bc: Interrupt should reset the input line
  
  * BC_LINE_LENGTH=0 disables the multi-line feature.
    Closes: #245899: bc: BC_LINE_LENGTH=0 or similar for ``do never split''  
    should be added, or the manpage should be fixed
  
  * Upstream says this in correct POSIX behavior.
    Closes: #388487: bc: scale strangeness
  
  * Applied patch from Justin Pryzby.
    Closes: #374818: dc: maintscript prerm arguments
  
  * Remove '-s' from calls to install in debian/rules.  Fixes both bc and dc.
    Closes: #436578: bc: not handling nostrip build option (policy 10.1) sid/i386
  
  * Upstream has removed the '-E' option.
    Closes: #389345: dc: man page formatting bug
   
  * Added -DDONTEXIT to debian/rules as it is not the default.
   
  * Man page typos fixed upstream.
  
  * Added home page (such as it is) to descriptions.
  
  * Fixed make distclean call in debian/rules.

 -- John Hasler <jhasler@debian.org>  Thu,  23 Aug 2007 15:18:09 -0500

bc (1.06-20) unstable; urgency=low

  * Had already fixed menu titles but failed to close the bug.
    Closes: #320605: Conformance with menu policy
  
  * Also had fixed typos.
    Closes: #301921: 'man bc' typos: "environent", "specifing"

 -- John Hasler <jhasler@debian.org>  Sat,  7 Oct 2006 10:45:18 -0500

bc (1.06-19) unstable; urgency=low

  * Fixed libreadline dependency.
    Closes: #326385: please rebuild with libreadline5-dev as build dependency

 -- John Hasler <jhasler@debian.org>  Thu, 17 Nov 2005 15:41:52 -0600

bc (1.06-18) unstable; urgency=low

  * Corrected link in copyright file.
  
  * Fixed capitalization in menu titles.
    Closes: #320605: Conformance with menu policy

 -- John Hasler <jhasler@debian.org>  Sun, 28 Aug 2005 18:36:46 -0500

bc (1.06-17) unstable; urgency=low

  * New maintainer.

 -- John Hasler <jhasler@debian.org>  Sat, 15 Jan 2005 18:20:00 -0600

bc (1.06-16) unstable; urgency=low

  * debian/rules: Applied patch by NIIBE Yutaka <gniibe@fsij.org> to
    distinguish between GNU types build and host  (Closes: #285304)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Dec 2004 18:08:47 -0600

bc (1.06-15) unstable; urgency=low

  * configure.in: Patch was supposed to be '-I -8' (Closes: #237957)
  * Also ran autoconf2.50 to re-create configure

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Apr 2004 20:54:22 -0500

bc (1.06-14) unstable; urgency=low

  * configure.in: Applied patch by Andreas Jochens to invoke flex 
    with argument '-I 8' instead of '-I8'  (Closes: #237957)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Apr 2004 19:55:50 -0500

bc (1.06-13) unstable; urgency=low

  * bc/bc.y: Apply patch by Matt Kraai to fix flex issues (Closes: #236991)
  * debian/control: Upgraded to Standards-Version: 3.6.1
  * debian/dc.menu: Quoted one more argument (thanks, lintian)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Mar 2004 21:34:02 -0600

bc (1.06-12) unstable; urgency=low

  * configure.in: Avoid time skew via AM_MAINTAINER_MODE (Closes: #208195)
  * {bc,dc,lib}/Makefile.am: s/CFLAGS/AM_CFLAGS/,s/YFLAGS/AM_YFLAGS/
  * Ran 'aclocal; autoconf; automake-1.7 --gnu --add-missing --copy'
  * doc/bc.1: Patch by N. Francois with two minor corrections (Closes: #215292)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 14 Oct 2003 20:43:21 -0500

bc (1.06-11) unstable; urgency=low

  * doc/dc.{1,texi}: Applied upstream patch by Ken Pizzini (Closes: #100344)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 May 2003 16:01:32 -0500

bc (1.06-10) unstable; urgency=low

  * dc/{dc.c,eval.c,dc-proto.h}: Added new upstream patch by Ken Pizzini 
    which fixes one old and one new bug report(Closes: #135029, #191663)
  * dc/dc.c: Corrected function argument to pointer to string
  * debian/control: Increased Standards-Version to 3.5.9
  * debian/dc_factor: New example script 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  9 May 2003 20:20:29 -0500

bc (1.06-9) unstable; urgency=low

  * dc/dc.c, doc/dc.1: Applied patch by Terran Melconian
    <terran@consistent.org> for an additional command-line argument,
    and rc file handling; also forwarded upstream (Closes: #167274)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  1 Nov 2002 23:51:51 -0600

bc (1.06-8) unstable; urgency=low

  * debian/control: Priority changed to standard as per overrides file
  * debian/control: Standards-Version upgraded to 3.5.0
  * debian/copyright: Debian/GNU Linux typo fix (lintian)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Apr 2002 11:33:49 -0500

bc (1.06-7) unstable; urgency=low

  * bc/scan.l, bc/scan.c: Commented out three declarations that are now
    also in libreadline 4.2; mini-patch sent upstream (Closes: #100178)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  9 Jun 2001 06:03:33 -0500

bc (1.06-6) unstable; urgency=low

  * The "surprise, another build-depends bug" upload
  * debian/control: Added bison to Build-Depends (Closes: #86977)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 Feb 2001 20:43:44 -0600

bc (1.06-5) unstable; urgency=low

  * The "there's yet another in the pipeline" revisions
  * bc/bc.y: Another small patch from upstream
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 19 Feb 2001 20:05:31 -0600

bc (1.06-4) unstable; urgency=low

  * The "Let's make it three uploads in twenty-four hours" revisison
  * debian/control: Added file, flex, texinfo, libreadline4-dev (Closes: #86593)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 19 Feb 2001 08:26:45 -0600

bc (1.06-3) unstable; urgency=low

  * bc/load.c: Another small patch from upstream

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Feb 2001 23:04:08 -0600

bc (1.06-2) unstable; urgency=low

  * bc/main.c: Applied modified patch from the upstream and CVSh, supplied
    in response the to the bug supplied with the bug report (Closes: #86425)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Feb 2001 10:06:05 -0600

bc (1.06-1) unstable; urgency=low

  * Upgraded to new upstream release 1.06 (Closes: #82207)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 Jan 2001 23:03:26 -0600

bc (1.05a-13) unstable; urgency=low

  * debian/control: Build-Depends on texi2html, not tetex-bin (Closes: #81196)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  4 Jan 2001 20:38:12 -0600

bc (1.05a-12) unstable; urgency=low

  * debian/control: Added Build-Depends
  * debian/dc.menu: Added hints="Calculator" (Closes: #80012)
  * debian/bc.menu: Added hints="Calculator" (Closes: #80050)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 Dec 2000 22:09:44 -0600

bc (1.05a-11) frozen; urgency=low

  * Argh, 1.05a-10 was meant for frozen - this really closes #57908.

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 13 Feb 2000 17:05:49 -0500

bc (1.05a-10) unstable; urgency=low

  * Rebuilt against libreadline4 (Closes: #57908)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 13 Feb 2000 00:17:31 -0500

bc (1.05a-9) unstable; urgency=low

  * Applied upstream patch by Ken Pizzini <ken@halcyon.com> to correct the 
    dc.1 manual page (Closes: #48881)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  3 Nov 1999 22:10:33 -0500

bc (1.05a-8) unstable; urgency=low

  * Applied another upstream patch by Phil Nelson <phil@cs.wwu.edu>; this
    one improves the cosine and cosine and bessel functions

  * debian/rules: make sure we link bc with readline (Closes: #46535)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  3 Oct 1999 17:00:38 -0400

bc (1.05a-7) unstable; urgency=low

  * Applied new upstream patch by Phil Nelson <phil@cs.wwu.edu> to improve
    the raise operation. Thanks to Aaron Digulla <dia@unix.swx.ch> for the 
    report.
    
  * debian/rules: Adapted to use /usr/share/ following the recommendation
    on FHS transition from the Technical Committee 
  * debian/rules: Test for debhelper >= 2.0.40 for FHS compliance
  * debian/control: Upgraded to Debian Policy 3.0.1

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  2 Oct 1999 09:14:41 -0400

bc (1.05a-6) unstable; urgency=low

  * debian/control: Actually changed maintainer name 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  4 Jun 1999 22:54:45 -0400

bc (1.05a-5) unstable; urgency=low

  * New maintainer
  * debian/rules: Converted to debhelper
  * debian/*: Added doc-base support for dc
  * debian/{bc,dc}.{post,pre}{inst,rm}: Cosmetic changes

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 May 1999 23:47:40 -0400

bc (1.05a-4) unstable; urgency=low

  * debian/control (Standards-Version): updated to 2.5.0.0.
  * configure.in: changed test for readline to use READLINELIB and not
    LIBS so we can link just bc with readline (as dc doesn't use it). 
    [#31473]
  * bc/Makefile.am (LDADD): add @READLINELIB@.

 -- James Troup <james@nocrew.org>  Sat, 16 Jan 1999 15:19:32 +0000

bc (1.05a-3) frozen unstable; urgency=high

  * bc/scan.l (rl_len): int not char, to allow input > 128 characters in
    length without crashing.  Reported by Wakko Warner
    <wakko@ani.animx.ml.org>, Jeff Noxon <jeff@planetfall.com> and Camm
    Maguire <camm@enhanced.com>.  [#23304, #24113, #27731]

 -- James Troup <james@nocrew.org>  Mon,  9 Nov 1998 02:45:00 +0000

bc (1.05a-2) unstable; urgency=low

  * debian/control (Maintainer): new address.
  * debian/copyright: ditto.
  * Recompile with ncurses4.

 -- James Troup <james@nocrew.org>  Fri, 23 Oct 1998 18:27:44 +0100

bc (1.05a-1) unstable; urgency=low

  * New upstream version.
  * debian/control (Standards-Version): updated to 2.4.1.0.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Tue, 30 Jun 1998 00:54:37 +0200

bc (1.04-4) unstable; urgency=low

  * debian/copyright: correct the FSF's address.
  * debian/copyright: refer to bc source package, not hello.
  * debian/control (Standards-Version): updated to 2.4.0.0.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon,  2 Mar 1998 18:10:02 +0000

bc (1.04-3) unstable; urgency=low

  * Uses pristine upstream source.
  * Added menu entries.
  * debian/control: Updated Standards-Version to 2.3.0.1.
  * debian/control: Shortened dc's long description.
  * debian/rules: No longer uses {,}.
  * debian/rules: Compile with -g and -Wall.
  * debian/rules: Split binary-arch into binary-bc and binary-dc.
  * debian/rules: Lots of other minor changes.
  * bc/scan.l: Don't use readline when not interactive. (Patch from 
    Andreas Schwab).  This fixes the problem of bc echoing it's input
    when used in a pipe [#16069]
  * Test/timetest: correct location of bc. (Patch from Karl Heuer)
  * lib/number.c: Fix for broken sqrt function. (Patch from Phil Nelson)

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon, 29 Dec 1997 19:34:45 +0000

bc (1.04-2) unstable; urgency=low

  * Rebuilt with libc6. 
  * Compiled with readline.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon, 30 Jun 1997 01:21:23 +0100

bc (1.04-1) unstable; urgency=low

  * New upstream release.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed, 30 Apr 1997 17:18:39 +0100

bc (1.03-14) unstable; urgency=low

  * Made bc flush its output unconditionally (bug #6986).

 -- James Troup <jjtroup@comp.brad.ac.uk>  Thu, 13 Feb 1997 16:56:49 +0000

bc (1.03-13) unstable; urgency=low

  * Corrected location of example files (bug #7041).

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon, 3 Feb 1997 02:50:29 +0000

bc (1.03-12) unstable; urgency=low

  * Corrected priority (optional -> important).

 -- James Troup <jjtroup@comp.brad.ac.uk>  Fri, 31 Jan 1997 00:59:11 +0000

bc (1.03-11) unstable; urgency=low

  * New maintainer.
  * Updated to Standards-Version 2.1.1.2.
  * Included Austin Donnelly's fix for bug #6463.
  * Fixed dc.1 so mandb can parse it (bug #4991).

 -- James Troup <jjtroup@comp.brad.ac.uk>  Thu, 30 Jan 1997 04:07:04 +0000

Changes for bc-1.03-10:
	elf package
	* added dependency on libc5

Changes for bc-1.03-9:
	* rebuilt for elf

Changes for bc-1.03-8:

Priority:  Routine
Changes:  Various administrative changes
 changed extended description for the bc package to the one used by GNU.
 renamed source package debian.* files
 added SECTON field to control files
 added /usr/doc/dc with dc.texinfo man Makefile

Changes for bc-1.03-7:

1.  Fixed problem with debian.rules sed invocation for debian.control

2.  Remove several files created by the build in debian.rules clean:

Changes for bc-1.03-6:

1.  Cleaned up control file descriptions and extended descriptions.

Changes for bc-1.03-5:

1.  Changed mode of man pages from 755 to 644

Changes for bc-1.03-4:

1.  In debian.rules, added code to fix broken "orig" target.
    (This was most likely broken by my bc-1.03-3 changes) (??)

Changes for bc-1.03-3:

1.  In debian.rules:

    Changed the "d = 2" to "d = 3" to change the bc-1.03-
    line in the control files from 2 to 3.

    Changed references to source package files control.bc and
    control.dc to pre-pend "debian." to those names.

    Changed references to source package files control.bc and
    control.dc to pre-pend "debian." to those names.

    Changed references to source package files postinst.dc and
    postrm.dc to pre-pend "debian." to those names.

    Added dependency on clean to source and diff targets.

    Moved "make distclean" to the last action in the clean target
    to prevent a failure here from aborting the preceeding cleanup.

2.  Renamed files

    control.bc to debian.control.bc
    control.dc to debian.control.bc
    postinst.dc to debian.postinst.bc
    postrm.dc to debian.postrm.bc

3.  In debian.control.* changed maintainer name.

This file documents changes since maintenamce of this package
was taken over by Bill Mitchell <mitchell@mdd.comm.mot.com>
beginning with bc-1.03-3.

